Vai al contenuto principale
POST
Register Device

Autorizzazioni

Authorization
string
header
obbligatorio

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json

POST /devices payload.

The same body is used for first register + re-register on token rotation. Idempotency is enforced by the unique constraint on (tenant_id, fcm_token).

fcm_token
string
obbligatorio
Required string length: 20 - 255
platform
enum<string>
obbligatorio
Opzioni disponibili:
ios,
android,
web
locale
string | null
Maximum string length: 5
app_version
string | null
Maximum string length: 40
device_model
string | null
Maximum string length: 120

Risposta

Successful Response

data
DeviceOut · object | null
meta
PaginationMeta · object | null
error
string | null
error_code
string | null